<?php
/**
 * Cleaning Services Agent functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package cleaning_services_agent
 */

$cleaning_services_agent_theme_data = wp_get_theme();
if( ! defined( 'CLEANING_SERVICES_AGENT_THEME_VERSION' ) ) define ( 'CLEANING_SERVICES_AGENT_THEME_VERSION', $cleaning_services_agent_theme_data->get( 'Version' ) );
if( ! defined( 'CLEANING_SERVICES_AGENT_THEME_NAME' ) ) define( 'CLEANING_SERVICES_AGENT_THEME_NAME', $cleaning_services_agent_theme_data->get( 'Name' ) );
if( ! defined( 'CLEANING_SERVICES_AGENT_THEME_TEXTDOMAIN' ) ) define( 'CLEANING_SERVICES_AGENT_THEME_TEXTDOMAIN', $cleaning_services_agent_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'CLEANING_SERVICES_AGENT_VERSION' ) ) {
	define( 'CLEANING_SERVICES_AGENT_VERSION', '1.0.0' );
}

if ( ! function_exists( 'cleaning_services_agent_setup' ) ) :
	
	function cleaning_services_agent_setup() {
		
		load_theme_textdomain( 'cleaning-services-agent', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'cleaning-services-agent' ),
				'social'  => esc_html__( 'Social', 'cleaning-services-agent' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'cleaning_services_agent_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'cleaning_services_agent_setup' );

function cleaning_services_agent_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'cleaning_services_agent_content_width', 640 );
}
add_action( 'after_setup_theme', 'cleaning_services_agent_content_width', 0 );

function cleaning_services_agent_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'cleaning-services-agent' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'cleaning-services-agent' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$cleaning_services_agent_footer_widget_column = get_theme_mod('cleaning_services_agent_footer_widget_column','4');
	for ($cleaning_services_agent_i=1; $cleaning_services_agent_i<=$cleaning_services_agent_footer_widget_column; $cleaning_services_agent_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'cleaning-services-agent' )  . $cleaning_services_agent_i,
			'id' => 'cleaning-services-agent-footer-widget-' . $cleaning_services_agent_i,
			'description' => __( 'The Footer Widget Area', 'cleaning-services-agent' )  . $cleaning_services_agent_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'cleaning_services_agent_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function cleaning_services_agent_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Owl Carousel style.
	wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/resource/css/owl.carousel' . '.css', array(), '2.3.4' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'cleaning-services-agent-style', get_template_directory_uri() . '/style.css', array(), CLEANING_SERVICES_AGENT_VERSION );

	// RTL style.
	wp_style_add_data('cleaning-services-agent-style', 'rtl', 'replace');

	if (get_theme_mod('cleaning_services_agent_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'cleaning-services-agent-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), CLEANING_SERVICES_AGENT_VERSION, true );

	// Owl Carousel.
	wp_enqueue_script( 'owl-carouselscript', get_template_directory_uri() . '/resource/js/owl.carousel' . '.js', array( 'jquery' ), '2.3.4', true );

	// Slick script.
	wp_enqueue_script( 'slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'cleaning-services-agent-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), CLEANING_SERVICES_AGENT_VERSION, true );


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );
}
add_action( 'wp_enqueue_scripts', 'cleaning_services_agent_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'cleaning_services_agent_products_per_page' );
function cleaning_services_agent_products_per_page( $cols ) {
  	return  get_theme_mod( 'cleaning_services_agent_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'cleaning_services_agent_loop_columns');
	if (!function_exists('cleaning_services_agent_loop_columns')) {
	function cleaning_services_agent_loop_columns() {
		return get_theme_mod( 'cleaning_services_agent_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into wordpress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';


function cleaning_services_agent_links_setup() {
	if ( ! defined( 'CLEANING_SERVICES_AGENT_PREMIUM_PAGE' ) ) {
	define('CLEANING_SERVICES_AGENT_PREMIUM_PAGE',__('https://asterthemes.com/products/cleaning-service-wordpress-theme','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_THEME_PAGE' ) ) {
		define('CLEANING_SERVICES_AGENT_THEME_PAGE',__('https://asterthemes.com/products/cleaning-services-agent','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_SUPPORT' ) ) {
	define('CLEANING_SERVICES_AGENT_SUPPORT',__('https://wordpress.org/support/theme/cleaning-services-agent/','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_REVIEW' ) ) {
	define('CLEANING_SERVICES_AGENT_REVIEW',__('https://wordpress.org/support/theme/cleaning-services-agent/reviews/','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_PRO_DEMO' ) ) {
	define('CLEANING_SERVICES_AGENT_PRO_DEMO',__('https://demo.asterthemes.com/cleaning-services-agent/','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_THEME_DOCUMENTATION' ) ) {
	define('CLEANING_SERVICES_AGENT_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/cleaning-services-agent-free/','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_PREMIUM_DOCUMENTATION' ) ) {
	define('CLEANING_SERVICES_AGENT_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/cleaning-services-agent-pro/','cleaning-services-agent'));
	}
	if ( ! defined( 'CLEANING_SERVICES_AGENT_BUNDLE_PAGE' ) ) {
		define('CLEANING_SERVICES_AGENT_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','cleaning-services-agent'));
	}
}
add_action('after_setup_theme', 'cleaning_services_agent_links_setup');

/**
 * Theme Wizard
*/
add_action( 'init', 'cleaning_services_agent_load_theme_wizard' );
function cleaning_services_agent_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

// Enqueue Customizer live preview script
function cleaning_services_agent_customizer_live_preview() {
    wp_enqueue_script(
        'cleaning-services-agent-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'cleaning_services_agent_customizer_live_preview');

// Featured Image Dimension
function cleaning_services_agent_blog_post_featured_image_dimension(){
	if(get_theme_mod('cleaning_services_agent_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );